Page MenuHomePhabricator

Modularize Ferret fulltext functions
ClosedPublic

Authored by epriestley on Apr 16 2020, 8:39 PM.
Tags
None
Referenced Files
Unknown Object (File)
Thu, Apr 11, 8:44 AM
Unknown Object (File)
Sun, Apr 7, 4:13 AM
Unknown Object (File)
Mar 16 2024, 12:46 AM
Unknown Object (File)
Feb 28 2024, 11:41 AM
Unknown Object (File)
Jan 25 2024, 11:38 AM
Unknown Object (File)
Jan 25 2024, 2:21 AM
Unknown Object (File)
Dec 25 2023, 12:37 PM
Unknown Object (File)
Dec 2 2023, 11:17 PM
Subscribers
None

Details

Summary

Ref T13511. Currently, Ferret fulltext field functions (like "title:") are hard-coded. Modularize them so extensions may define new ones.

Test Plan

Added a new custom field which emits data for the indexer, searched for "animal-noises:moo", "animal-noises:-", etc., in global search and application search.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision was not accepted when it landed; it landed in state Needs Review.Apr 16 2020, 8:40 PM
epriestley requested review of this revision.
This revision was automatically updated to reflect the committed changes.